#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.0.0
 Author:         Frank( frank@zijinshi.org )

 Script Function:
	AutoIt script.
#ce ----------------------------------------------------------------------------
#include <file.au3>
#include <UserFunction.au3>

; THIS SCRIPT WILL DELTE THE LOG FILE
FileDelete ( $logFileName )

If FileExists( $uninstallFile ) Then
   _FileWriteLog( $logFileName, "Already installed.")
   Exit
Else
   _FileWriteLog( $logFileName, "Starting install.")
EndIf

; Run Setup
Run($SetupFile)
Sleep(9000)

; Wait for the calulator become active - it is titled "Calculator" on English systems
$winWarning=WinGetHandle("Open File - Security Warning","")
if( $winWarning ) Then
	; Click "Run"
	_FileWriteLog( $logFileName, "Security Warning. Continue...")
	ControlClick($winWarning,"","Button1")
	Sleep(5000)
Else
   _FileWriteLog( $logFileName, "No Warining Message.")
EndIf

;Click "Next"
WinWaitActive($setupWinTitle)
ControlClickWithLog($setupWinTitle,"&Next >","Button2",$logFileName,"Next Clicked.","Next Not Clicked.")
Sleep(2000);

;Click "I Aggree"
ControlClickWithLog($setupWinTitle,"I &Agree","Button2",$logFileName,"Aggree Clicked.","Aggree Not Clicked.")
Sleep(2000);

;Click "Next"
ControlClickWithLog($setupWinTitle,"","Button2",$logFileName,"Next Clicked.","Next Not Clicked.")
Sleep(2000);

;Click "Next"
ControlClickWithLog($setupWinTitle,"","Button2",$logFileName,"Next Clicked.","Next Not Clicked.")
Sleep(2000);

;Click "Install"
ControlClickWithLog($setupWinTitle,"","Button2",$logFileName,"Install Clicked.","Install Not Clicked.")
Sleep(30000)

;Uncheck
ControlClickWithLog($setupWinTitle,"Show release notes (very important)","Button4",$logFileName,"Uncheck show release notes.","Not unchecked.")
Sleep(500)

ControlClickWithLog($setupWinTitle,"&Finish","Button2",$logFileName,"Done.","Not Finished.")