#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.0.0
 Author:         Frank( frank@zijinshi.org )

 Script Function:
	AutoIt script.
#ce ----------------------------------------------------------------------------
;ENVIRONMENT SETTINGS
$autoItDir="C:\Program Files\AutoIt3\"
$uninstallFile=$autoItDir & "Uninstall.exe"

$logFileName=@ScriptDir & "\" & "InstallLog.txt"
$uninstallLogFile=@ScriptDir & "\" & "UnstallLog.txt"

$SetupFile=@ScriptDir & "\" & "autoit-v3-setup.exe"
$setupWinTitle="AutoIt v3.3.0.0 Setup"
$UninstallWinTitle="AutoIt v3.3.0.0 Uninstall"

Func ControlClickWithLog( $winTitle, $contrlTxt, $contrlId, $logFileName, $succMsg, $failMsg)
	$clicked=ControlClick($winTitle,$contrlTxt,$contrlId)
	if( $clicked ) Then
		$msg = $succMsg
	Else
		$msg = $failMsg
	EndIf
	_FileWriteLog( $logFileName, $msg)	
	Return $clicked
EndFunc
